%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Gmerlin Audio Video Library
Name:		gavl
Version:	1.4.0
Release:	2
License:	GPLv2+
Group:		System/Libraries
Url:		http://gmerlin.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/gmerlin/%{name}/%{version}/%{name}-%{version}.tar.gz
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(samplerate)

%description
GAVL is short for Gmerlin Audio Video Library. It standardized types audio
and video formats, and defines generic container types for video frames and
blocks of audio samples.

In addition, it handles the sometimes ugly task to convert between all these
formats. The idea is to be able to convert from any format to any other with
the lowest possible CPU usage.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared libraries from %{name}
Group:		System/Libraries

%description -n %{libname}
Shared libraries from %{name}.

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Header files and development libraries from %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Libraries and includes files for developing programs based on %{name}.

%files -n %{devname}
%doc AUTHORS TODO README
%doc %{_datadir}/doc/gavl/apiref
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gavl
%{_libdir}/lib%{name}.so

#----------------------------------------------------------------------------

%prep
%setup -q
#Disable buildtime cpu detection
sed -i -i 's/LQT_TRY_CFLAGS/dnl LQT_TRY_CFLAGS/g' configure.ac
sed -i -i 's/LQT_OPT_CFLAGS/dnl LQT_OPT_CFLAGS/g' configure.ac

%build
autoreconf -fi
# Adding some upstream CFLAGS
export CFLAGS=$(echo %{optflags} | sed -e "s/-O2/-O3 -funroll-all-loops -fomit-frame-pointer -ffast-math -fvisibility=hidden/")
%configure2_5x	\
	--disable-static \
	--disable-cpu-clip

%make

%install
%makeinstall_std


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1.4.0-2
+ Revision: 5b6e5e2
- MassBuild#440: Increase release tag


